<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML Attributes and Links</title>
</head>
<body>
    <h1 align="center" >HTML ATTRIBUTES</h1>
    <!-- 
        HTML attributes - added to modify the behavior of an HTML Element. They are added inside the opening tag of the element.
            SYNTAX: 
                <tag attribute="value">text</tag>

            align attribute - used to modify the alignment of an element

            reversed attribute - reverses the sequence order, but not the position of the elements
     -->

     <h2 align="right">Modifiers of Element Behavior</h2>
        <ol reversed>
            <li>Kobe Bryant</li>
            <li>Michael Jordan</li>
            <li>Lebron James</li>
        </ol>

    <!-- img tag -->
    <!-- 
        src attribute - source / location of the resource from a relative or absolute path
            relative path - the resource is located relatively to the index.html; the resource is in the same machine/server and is indicated by ./ or ../ depending on where the needed image is

            absolute path - the source is not located relaitve to the index.html; instead, it is located outside the machine (cloud/internet)

            ./ - location of a directory in the same directory where you're currently in

            ../ - go back one directory from the current directory you're in

            alt attribute - alternative text; uased to display a text once the element is not existing
     -->
    <img src="https://place-puppy.com/300x300" alt="dog-puppy" length="200" height="200">

    <img src="./images/html-logo.webp" alt="html-logo" length="200" height="200">

    <hr>

    <h1 align="center">Charles Patrick Lilagan</h1>
    <h3 align="center">Full Stack Web Developer</h3>
    <img src="./images/Pat - img.png" alt="my-pic" height="200" width="200">

    <h3>My Favorite Food</h3>
    <img src="https://lolakusinera.com/wp-content/uploads/2018/09/bistek-tagalog-2.jpg" alt="beef-steak" height="150" width="150">

    <img src="https://assets.tmecosys.com/image/upload/t_web767x639/img/recipe/ras/Assets/102cf51c-9220-4278-8b63-2b9611ad275e/Derivates/3831dbe2-352e-4409-a2e2-fc87d11cab0a.jpg" alt="burger" height="150" width="150">

    <img src="https://jontotheworld.com/wp-content/uploads/2022/01/Yabu.jpg" alt="yabu-katsu" height="150" width="150">

     <!-- type attribute - used to modify the ordered list
            OTHER TYPES - a(letter), i(roman numerals) -->
    <ol type="i">
        <li>Beef Steak</li>
        <li>Burger</li>
        <li>Katsu</li>
    </ol>

    <hr>

    <!-- 
        links - used to go to other webpages, outside or inside the machine/server where the index.html is located. Relative and absolutin pathing also applies.

        a tag - anchor tag: used to create links inside the webpage

        href - indicates the target path to go to
     -->

    <h1 align="center">HTML Links</h1>
     <a href="./link.html" name="link-page">Link Page</a>

     <br>

     <a href="./relative-sample/sample.html">Sample Page</a>

     <div>
        <a href="https://www.jollibeefoods.com" target="_blank">
            <img src="https://upload.wikimedia.org/wikipedia/en/thumb/8/84/Jollibee_2011_logo.svg/1200px-Jollibee_2011_logo.svg.png" height="200" width="200" alt="nagugutom-na-ko">
        </a>
     </div>

</body>
</html>